{
    num: 547,
    accuracy: 100,
    basePower: 90,
    category: "Special",
    name: "Relic Song",
    pp: 10,
    priority: 0,
    flags: {protect: 1, mirror: 1, sound: 1, bypasssub: 1},
    secondary: {
        chance: 10,
        status: 'slp',
    },
    onModifyMove(move, pokemon) {
        if (pokemon.species.id === 'meloettapirouette') {
            move.category = "Physical";
        }
    },
    onHit(target, pokemon, move) {
        if (pokemon.baseSpecies.baseSpecies === 'Meloetta' && !pokemon.transformed) {
            move.willChangeForme = true;
        }
    },
    onAfterMoveSecondarySelf(pokemon, target, move) {
        if (move.willChangeForme) {
            const meloettaForme = pokemon.species.id === 'meloettapirouette' ? '' : '-Pirouette';
            pokemon.formeChange('Meloetta' + meloettaForme, this.effect, false, '[msg]');
        }
    },
    target: "allAdjacentFoes",
    type: "Normal",
    contestType: "Beautiful",
}
